org.richfaces.fragment.messages

## Class RichFacesMessages.MessageImpl

- java.lang.Object
- - org.richfaces.fragment.message.AbstractMessage
  - - org.richfaces.fragment.messages.RichFacesMessages.MessageImpl

- All Implemented Interfaces:
    AdvancedInteractions<Message.AdvancedMessageInteractions>, ListItem, Message
  Enclosing class:
    RichFacesMessages

      public static class RichFacesMessages.MessageImpl
      extends AbstractMessage
      implements Message, ListItem

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `RichFacesMessages.MessageImpl.AdvancedMessageInMessagesInteractions`

    - ### Nested classes/interfaces inherited from class org.richfaces.fragment.message.AbstractMessage

      `AbstractMessage.AdvancedMessageInteractionsImpl`

    - ### Nested classes/interfaces inherited from interface org.richfaces.fragment.message.Message

      `Message.AdvancedMessageInteractions, Message.MessageType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RichFacesMessages.MessageImpl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Message.AdvancedMessageInteractions` | `advanced()`
    `protected String` | `getCssClass(Message.MessageType type)`
    `static String` | `getCssClassForMessageType(Message.MessageType type)`
    `org.jboss.arquillian.graphene.GrapheneElement` | `getRootElement()` Gets the root element of this item.
    `String` | `getText()` Gets the text representation of this item.

    - ### Methods inherited from class org.richfaces.fragment.message.AbstractMessage

      `getDetail, getSummary, getType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.richfaces.fragment.message.Message

      `getDetail, getSummary, getType`

- - ### Constructor Detail

    - #### RichFacesMessages.MessageImpl

          public RichFacesMessages.MessageImpl()

  - ### Method Detail

    - #### advanced

          public Message.AdvancedMessageInteractions advanced()

      Specified by:
        `advanced` in interface `AdvancedInteractions<Message.AdvancedMessageInteractions>`

    - #### getCssClass

          protected String getCssClass(Message.MessageType type)

      Specified by:
        `getCssClass` in class `AbstractMessage`

    - #### getCssClassForMessageType

          public static String getCssClassForMessageType(Message.MessageType type)

    - #### getText

          public String getText()

      Description copied from interface: `ListItem`
      Gets the text representation of this item.
      Specified by:
        `getText` in interface `ListItem`
      Returns:
        text from this item

    - #### getRootElement

          public org.jboss.arquillian.graphene.GrapheneElement getRootElement()

      Description copied from interface: `ListItem`
      Gets the root element of this item.
      Specified by:
        `getRootElement` in interface `ListItem`
      Returns:
        root of this item

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.